summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_order_creation.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/test_merchant_order_creation.sh')
-rwxr-xr-xsrc/testing/test_merchant_order_creation.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/testing/test_merchant_order_creation.sh b/src/testing/test_merchant_order_creation.sh
index ce8507eb..8e1fdbf7 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -96,7 +96,7 @@ then
exit 1
fi
-echo OK
+echo "OK"
echo -n "Checking created order without TOKEN..."
@@ -110,7 +110,7 @@ then
echo 'should have a payuri. got:' $PAY_URI `cat $LAST_RESPONSE`
exit 1
fi
-echo OK
+echo "OK"
#
# CREATE AN ORDER WITHOUT TOKEN WITH FULLFILMENT URL
@@ -133,6 +133,7 @@ TOKEN=`jq -r .token < $LAST_RESPONSE`
if [ "$TOKEN" != "null" ]
then
echo 'token should be null, got:' $TOKEN
+ exit 1
fi
STATUS=$(curl http://localhost:9966/orders/$ORDER_ID \
@@ -152,7 +153,7 @@ then
echo 'should have a payuri. got:' $PAY_URI `cat $LAST_RESPONSE`
exit 1
fi
-echo OK
+echo "OK"
#
# CREATE ORDER WITH NON-INVENTORY AND CHECK